# Class VersionChecker

java.lang.Object
uk.ac.starlink.ttools.votlint.VersionChecker

All Implemented Interfaces:
  `AttributeChecker`

public class VersionChecker extends Object implements AttributeChecker
Attribute checker for the VOTABLE element's version attribute.

Since:
  7 Apr 2005
Author:
  Mark Taylor (Starlink)

## Constructor Summary

Constructors
Constructor
Description
`VersionChecker()`

## Method Summary

Modifier and Type
Method
Description
`void`
`check(String value, ElementHandler handler)`
Performs a syntactic and/or semantic check on an attribute value for a given element.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VersionChecker

public VersionChecker()

## Method Details

### check

public void check(String value, ElementHandler handler)
Description copied from interface: `AttributeChecker`
Performs a syntactic and/or semantic check on an attribute value for a given element. Anything worthy of comment should be logged through `handler`'s context.

Specified by:
  `check` in interface `AttributeChecker`
Parameters:
  `value` - the value of the attribute to check
  `handler` - the element on which `attValue` appears